{
  nixpkgs,
  nur,
  home-manager,
  nixvim,
  ...
}: let
  pkgs = import nixpkgs rec {
    system = "x86_64-linux";
    overlays = [(final: prev: {nixvim = nixvim.packages.${system}.default;}) nur.overlays.default];
  };
in {
  work = home-manager.lib.homeManagerConfiguration {
    inherit pkgs;

    modules = [
      ../home-modules/modules-list.nix
      ./work
    ];
  };

  framework = home-manager.lib.homeManagerConfiguration {
    inherit pkgs;

    modules = [
      ../home-modules/modules-list.nix
      ./framework
    ];
  };
}
